Skip to main content
`Ctrl`+`K`

# DMSNESCheckFromOptions

Check the residual and Jacobian functions using the exact solution by outputting some diagnostic information

## Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMSNESCheckFromOptions(SNES snes, Vec u)

## Input Parameters

- snes - the `SNES` object

- u - representative `SNES` vector

## Note

The user must call `PetscDSSetExactSolution()` before this call

## See Also

SNES: Nonlinear Solvers, `SNES`, `DM`

## Level

developer

## Location

src/snes/utils/dmplexsnes.c

## Examples

src/snes/tutorials/ex36.c
src/snes/tutorials/ex69.c
src/snes/tutorials/ex23.c
src/snes/tutorials/ex26.c
src/snes/tutorials/ex62.c
src/snes/tutorials/ex76.c
src/snes/tutorials/ex17.c
src/snes/tutorials/ex71.c
src/snes/tutorials/ex27.c
src/snes/tutorials/ex24.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages